## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCUnlock

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                        |
                        +--org.apache.tools.ant.taskdefs.optional.clearcase.CCUnlock

public class CCUnlock
extends ClearCase

Performs a ClearCase Unlock command.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
comment | Specifies how to populate comments fields | No
pname | Specifies the object pathname to be unlocked. | Yes
objselect | Specifies the object(s) to be unlocked. | Yes

Author:
  Sean P. Kane (Based on work by: Curtis White)

Field Summary
`static java.lang.String` `FLAG_COMMENT` -comment flag -- method to use for commenting events
`static java.lang.String` `FLAG_OBJSELECT` object-selector option -- list of objects to lock
`static java.lang.String` `FLAG_PNAME` -pname flag -- pathname to lock

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_MKBL, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CCUnlock()`

Method Summary
`void` `execute()` Executes the task.
`java.lang.String` `getComment()` Get comment method
`java.lang.String` `getObjselect()` Get list of objects to be locked
`java.lang.String` `getPname()` Get the pathname to be locked
`void` `setComment(java.lang.String comment)` Sets how comments should be written for the event record(s)
`void` `setObjselect(java.lang.String objselect)` Sets the object(s) to be locked
`void` `setPname(java.lang.String pname)` Sets the pathname to be locked

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getObjSelect, getViewPath, run, setClearToolDir, setObjSelect, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

  -comment flag -- method to use for commenting events

  See Also:
    Constant Field Values

### FLAG_PNAME

    public static final java.lang.String FLAG_PNAME

  -pname flag -- pathname to lock

  See Also:
    Constant Field Values

### FLAG_OBJSELECT

    public static final java.lang.String FLAG_OBJSELECT

  object-selector option -- list of objects to lock

  See Also:
    Constant Field Values

Constructor Detail

### CCUnlock

    public CCUnlock()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setComment

    public void setComment(java.lang.String comment)

  Sets how comments should be written for the event record(s)

  Parameters:
    `comment` - comment method to use

### getComment

    public java.lang.String getComment()

  Get comment method

  Returns:
    String containing the desired comment method

### setPname

    public void setPname(java.lang.String pname)

  Sets the pathname to be locked

  Parameters:
    `pname` - pathname to be locked

### getPname

    public java.lang.String getPname()

  Get the pathname to be locked

  Returns:
    String containing the pathname to be locked

### setObjselect

    public void setObjselect(java.lang.String objselect)

  Sets the object(s) to be locked

  Parameters:
    `objselect` - objects to be locked

### getObjselect

    public java.lang.String getObjselect()

  Get list of objects to be locked

  Returns:
    String containing the objects to be locked

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.